graphics3d
Device proxies

The graphics3d proxy provides an interface to the graphics3d. More...

## Classes

struct | playerc_graphics3d_t
| Graphics3d device data. More...

## Functions

PLAYERC_EXPORT playerc_graphics3d_t * | playerc_graphics3d_create (playerc_client_t *client, int index)
| Create a graphics3d device proxy. More...
PLAYERC_EXPORT void | playerc_graphics3d_destroy (playerc_graphics3d_t *device)
| Destroy a graphics3d device proxy. More...
PLAYERC_EXPORT int | playerc_graphics3d_subscribe (playerc_graphics3d_t *device, int access)
| Subscribe to the graphics3d device.
PLAYERC_EXPORT int | playerc_graphics3d_unsubscribe (playerc_graphics3d_t *device)
| Un-subscribe from the graphics3d device.
PLAYERC_EXPORT int | playerc_graphics3d_setcolor (playerc_graphics3d_t *device, player_color_t col)
| Set the current drawing color.
PLAYERC_EXPORT int | playerc_graphics3d_draw (playerc_graphics3d_t *device, player_graphics3d_draw_mode_t mode, player_point_3d_t pts[], int count)
| Draw some points in the given mode.
PLAYERC_EXPORT int | playerc_graphics3d_clear (playerc_graphics3d_t *device)
| Clear the canvas.
PLAYERC_EXPORT int | playerc_graphics3d_translate (playerc_graphics3d_t *device, double x, double y, double z)
| Translate the drawing coordinate system in 3d.
PLAYERC_EXPORT int | playerc_graphics3d_rotate (playerc_graphics3d_t *device, double a, double x, double y, double z)
| Rotate the drawing coordinate system by [a] radians about the vector described by [x,y,z].

## Detailed Description

The graphics3d proxy provides an interface to the graphics3d.

## Function Documentation

PLAYERC_EXPORT playerc_graphics3d_t* playerc_graphics3d_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a graphics3d device proxy.

PLAYERC_EXPORT void playerc_graphics3d_destroy | ( | playerc_graphics3d_t * | device | ) |

Destroy a graphics3d device proxy.

Last updated 12 September 2005 21:38:45